'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LocalVendorAdapter = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _chokidar = require('chokidar');

var _chokidar2 = _interopRequireDefault(_chokidar);

var _fsExtra = require('fs-extra');

var _fsExtra2 = _interopRequireDefault(_fsExtra);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _VendorAdapter2 = require('./VendorAdapter');

var _VendorAdapter3 = _interopRequireDefault(_VendorAdapter2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var LocalVendorAdapter = function (_VendorAdapter) {
  _inherits(LocalVendorAdapter, _VendorAdapter);

  function LocalVendorAdapter(_ref) {
    var config = _ref.config,
        appPath = _ref.appPath,
        cloud = _ref.cloud;

    _classCallCheck(this, LocalVendorAdapter);

    var _this = _possibleConstructorReturn(this, (LocalVendorAdapter.__proto__ || Object.getPrototypeOf(LocalVendorAdapter)).call(this, {
      config: config,
      cloud: cloud
    }));

    _this.appPath = appPath;
    _this._watchCloudCode();
    return _this;
  }

  _createClass(LocalVendorAdapter, [{
    key: '_watchCloudCode',
    value: function _watchCloudCode() {
      var that = this,
          watcher = _chokidar2.default.watch(this.appPath).on('ready', function () {
        watcher.on('all', function () {
          that._reloadCloudCode();
        });
      });
      this._reloadCloudCode();
    }
  }, {
    key: 'collect',
    value: function collect() {
      return new Promise(function (resolve, reject) {
        reject("LocalVendorAdapter do not accept collect method.");
      });
    }
  }, {
    key: 'publish',
    value: function publish() {
      return new Promise(function (resolve, reject) {
        reject("LocalVendorAdapter do not accept publish method.");
      });
    }
  }]);

  return LocalVendorAdapter;
}(_VendorAdapter3.default);

exports.default = LocalVendorAdapter;
exports.LocalVendorAdapter = LocalVendorAdapter;