"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _parseServer = require("parse-server/lib/cli/definitions/parse-server");

var _parseServer2 = _interopRequireDefault(_parseServer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
Patch cli/parse-server definitions.
*/

// Use `appPath` instead of `appId` and `appName`.
_parseServer2.default.appPath = {
  env: "PARSE_SERVER_APPLICATION_PATH",
  help: "Parse application path"
};

// Use `cloud` as a relative path to cloud folder.
_parseServer2.default.cloud = {
  env: "PARSE_SERVER_CLOUD_CODE_MAIN",
  help: "Cloud code main relative to your cloud path, defaults to main.js",
  default: "main.js"
};

exports.default = _parseServer2.default;